When you built FXRuby did you follow Lyles advice? (see below):

All I can suggest is:

  1. Change to the build directory for FXRuby;

  2. Type 'ruby install.rb clean' to clean out the build files;

  3. Type 'ruby install.rb config [... options ...]'
     to configure the build, and be *sure* to pass in the
     '--with-fxscintilla-include' and '--with-fxscintilla-lib'
     options.

  4. Type 'ruby install.rb setup' to kick off the build.
     As a sanity check, be sure that '-DWITH_FXSCINTILLA'
     appears among flags being passed to the compiler.

  5. When it's done, re-install by typing 'ruby install.rb install'.


Steve Tuckner

> -----Original Message-----
> From: djberge@sp5wd-b1 [mailto:djberge@sp5wd-b1]On Behalf Of Daniel
> Berger
> Sent: Friday, May 02, 2003 10:56 AM
> To: ruby-talk ML
> Subject: FreeRIDE 5.0 problems (fxscintilla issue?)
> 
> 
> Hi all,
> 
> Solaris 9
> Ruby 1.8.0p2
> FOX 1.0.26
> FXScintilla CVS (1-May-2003 -> 1.51 with a configure bug fix)
> FXRuby 1.22 (rebuilt with FXScintilla support)
> 
> I'm having some trouble with FreeRIDE.  Upon startup I get these
> warnings:
> 
> Failing to load: rubyide_tools_source_parser
> Failing to load: rubyide_tools_fox_source_browser
> Failing to start: rubyide_tools_source_parser
> Failing to start: rubyide_tools_fox_source_browser
> 
> Although the GUI starts, as soon as I click "New" I get:
> 
> ./plugins/rubyide_fox_gui/editpane.rb:85:in `initialize': 
> uninitialized
> constant FXScintilla at FreeRIDE::FoxRenderer::EditPane::Renderer
> (NameError)
>         from ./plugins/rubyide_fox_gui/editpane.rb:47:in `new'
>         from ./plugins/rubyide_fox_gui/editpane.rb:47:in `start'
>         from ./plugins/rubyide_fox_gui/editpane.rb:32:in `call'
>         from freebase/lib/freebase/databus.rb:613:in `notify'
>         from freebase/lib/freebase/databus.rb:610:in `each_value'
>         from freebase/lib/freebase/databus.rb:610:in `notify'
>         from freebase/lib/freebase/databus.rb:619:in `notify'
>         from freebase/lib/freebase/databus.rb:215:in `initialize'
>          ... 20 levels...
>         from freebase/lib/freebase/core.rb:35:in `new'
>         from freebase/lib/freebase/core.rb:35:in `startup'
>         from freeride.rb:55:in `startup'
>         from freeride.rb:68
> 
> Did my build of FXRuby with FXScintilla support simply not 
> "take"?  What
> did I do wrong?  I thought I verified that FXScintilla was installed:
> 
> >/opt/bin/irb
> irb(main):001:0> require "fox"
> => true
> irb(main):002:0> require "fox/scintilla"
> => true
> irb(main):003:0>
> 
> After this, I tried running "scintilla-test.rb" under the "examples"
> directory in the FXRuby source distro.  I got this:
> 
> >/opt/bin/ruby scintilla-test.rb 
> scintilla-test.rb:31:in `initialize': wrong number of 
> arguments(4 for 0)
> (ArgumentError)
>         from scintilla-test.rb:31:in `new'
>         from scintilla-test.rb:31:in `initialize'
>         from scintilla-test.rb:74:in `new'
>         from scintilla-test.rb:74
> 
> Any ideas?
> 
> Regards,
> 
> Dan
> 
> -- 
> a = [74, 117, 115, 116, 32, 65, 110, 111, 116, 104, 101, 114, 32, 82]
> a.push(117,98, 121, 32, 72, 97, 99, 107, 101, 114)
> puts a.pack("C*")